com.holonplatform.core.property

## Interface PropertyConfiguration.PropertyConfigurationEditor

- All Superinterfaces:
    ParameterSet, PropertyConfiguration, Serializable
  Enclosing interface:
    PropertyConfiguration

      public static interface PropertyConfiguration.PropertyConfigurationEditor
      extends PropertyConfiguration

  `PropertyConfiguration` editor interface to provide configuration parameters management.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PropertyConfiguration

      `PropertyConfiguration.PropertyConfigurationEditor`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ParameterSet

      `ParameterSet.Builder<S extends ParameterSet>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, Object value)` Add a configuration parameter.
    `void` | `removeParameter(String name)` Remove the parameter named `name`, if exists.
    `void` | `setTemporalType(TemporalType temporalType)` Set the optional `TemporalType` specification for `Date` or `Calendar` type properties.

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyConfiguration

      `clone, create, getTemporalType`

    - ### Methods inherited from interface com.holonplatform.core.ParameterSet

      `builder, empty, forEachParameter, getParameter, getParameter, getParameter, getParameter, getParameter, getParameterIf, getParameterIf, hasNotNullParameter, hasNotNullParameter, hasParameter, hasParameter, hasParameters, hasParameterValue, hasParameterValue`

- - ### Method Detail

    - #### addParameter

          void addParameter(String name,
                            Object value)

      Add a configuration parameter. If parameter with `name` already exists, its value will be replaced by the new `value`.
      Parameters:
        `name` - Parameter name to add (not null)
        `value` - Parameter value

    - #### removeParameter

          void removeParameter(String name)

      Remove the parameter named `name`, if exists.
      Parameters:
        `name` - Parameter name to remove (not null)

    - #### setTemporalType

          void setTemporalType(TemporalType temporalType)

      Set the optional `TemporalType` specification for `Date` or `Calendar` type properties.
      Parameters:
        `temporalType` - the `TemporalType` to set

Copyright © 2019 The Holon Platform. All rights reserved.